#!/bin/bash

# SPDX-FileCopyrightText: 2025 Florian Obersteiner <f.obersteiner@kit.edu>
#
# SPDX-License-Identifier: GPL-3.0-or-later

COPYRIGHT="Florian Obersteiner <f.obersteiner@kit.edu>"
LICENSE="GPL-3.0-or-later"

EXCLUDED_DIRS=".venv"

FILES=$(find . -type f \
    -not -path "./$EXCLUDED_DIRS/*" \
    -not -path "./$EXCLUDED_DIRS" \
    \( -name "*.py" -o -name "*.sh" -o -name "Dockerfile" \) \
    -print0 | xargs -0)

if [[ -n "$FILES" ]]; then
    reuse annotate --copyright="$COPYRIGHT" --license="$LICENSE" $FILES
    echo "Annotation process completed."
else
    echo "No matching files found for annotation."
fi
